	<template>
		<scroll-view>
			<view class="background">
				<view class="uni-list">
					<view class="container" style="border-bottom: 1px solid #f8f8f8;">
						<view>
							工程周期
						</view>
						<view v-if="this.isEmpty(this.projectValue.dictValue)" @click="pickerShow('gczq')">
							<view>


								<span style="color: darkgray;">请选择工程周期

								</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
						</view>
						<view v-else class="uni-list-cell-db" style="margin-top: 10;" @click="pickerShow('gczq')">
							<span style="color: black;">{{projectValue.dictLabel}}
							</span>
							<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
						</view>

					</view>
				</view>
				<view class="uni-list">
					<view class="container" style="border-bottom: 1px solid #f8f8f8;">
						<view>
							行政区
						</view>
						<view v-if="this.isEmpty(this.XZQValue.dictValue)" style="margin-top: 10;"
							@click="pickerShow('xzq')">
							<span style="color: darkgray;">请选择行政区</span>
							<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
						</view>
						<view v-else class="uni-list-cell-db" style="margin-top: 10;" @click="pickerShow('xzq')">
							<span style="color: black;">{{XZQValue.dictLabel}}</span>
							<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
						</view>

					</view>
				</view>
				<view class="uni-list">
					<view class="container" style="border-bottom: 1px solid #f8f8f8;">
						<view>
							小区
						</view>

						<view v-if="this.isEmpty(this.XQValue.id)" class="uni-list-cell-db" style="margin-top: 10;"
							@click="pickerShow('xq')">
							<span style="color: darkgray;">请选择小区</span>
							<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
						</view>
						<view v-else class="uni-list-cell-db" style="margin-top: 10;" @click="pickerShow('xq')">
							<span style="color: black;">{{XQValue.name}}</span>
							<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
						</view>
					</view>
				</view>
				<view class="uni-list">
					<view class="container" style="border-bottom: 1px solid #f8f8f8;">
						<view class="uni-list-cell-left">
							楼栋
						</view>
						<view v-if="this.isEmpty(this.LDValue.id)" class="uni-list-cell-db" style="margin-top: 10;"
							@click="pickerShow('ld')">
							<span style="color: darkgray;">请选择楼栋</span>
							<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
						</view>
						<view v-else class="uni-list-cell-db" style="margin-top: 10;" @click="pickerShow('ld')">
							<span style="color: black;">{{LDValue.name}}</span>
							<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
						</view>
					</view>
				</view>
				<view class="uni-list" style="margin-top: 10;">
					<view class="container" style="border-bottom: 1px solid #f8f8f8;">
						<view class="uni-list-cell-left">
							单元
						</view>
						<view v-if="this.isEmpty(this.DYValue.id)" class="uni-list-cell-db" style="margin-top: 10;"
							@click="pickerShow('dy')">
							<span style="color: darkgray;">请选择单元</span>
							<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
						</view>
						<view v-else class="uni-list-cell-db" style="margin-top: 10;" @click="pickerShow('dy')">
							<span style="color: black;">{{DYValue.name}}</span>
							<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
						</view>
					</view>
				</view>
				<view class="uni-list">
					<view class="container" style="border-bottom: 1px solid #f8f8f8;">
						<view class="uni-list-cell-left">
							房间
						</view>
						<view v-if="this.isEmpty(this.FJValue.id)" class="uni-list-cell-db" style="margin-top: 10;"
							@click="pickerShow('fj')">
							<span style="color: darkgray;">请选择房间</span>
							<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
						</view>
						<view v-else class="uni-list-cell-db" style="margin-top: 10;" @click="pickerShow('fj')">
							<span style="color: black;">{{FJValue.name}}</span>
							<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
						</view>
					</view>
				</view>
				<view class="container" style="">

					<view class="title">是否按照施工图纸施工</view>
					<span style="color: black;">{{this.form}}</span>
					<switch style="transform: scale(0.6,0.6);" @change="switchChange" checked="isChick" />

				</view>

				<SelectPicker :list="selectList" @change="changeSelect" v-if="open" @close="close" titleKey="name"
					subtitleKey="id" v-model="name"></SelectPicker>


				<SelectPicker :list="dictOptions" @change="changeSelectDict" v-if="openDict" @close="closeDict"
					titleKey="dictLabel" subtitleKey="dictValue" v-model="dictLabel"></SelectPicker>
			</view>
			<!--报警器切断阀-->
			<view class="background">
				<view v-if="objValue.enginClassValue=='报警器切断阀'">
					<view class="uni-list">
						<view
							style="font-size: 16px;margin-left: 10px;margin-top: 10px;display: flex; justify-content: space-between; margin-bottom: 10px;">
							报警器切断阀

							<span
								style="color: blue;font-size: 14px;  display: flex;justify-content:flex-end; margin-right: 10px;"
								@click="history">历史</span>
						</view>

						<view class="container" style="border-bottom: 1px solid #f8f8f8;">

							<text>厂 家</text>
							<view v-if="this.isEmpty(this.brandValue.dictValue)" style="margin-top: 10;"
								@click="pickerShow('brand')">
								<span style="color: darkgray;">请选择厂家</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
							<view v-else class="uni-list-cell-db" style="margin-top: 10;" @click="pickerShow('brand')">
								<span style="color: black;">{{brandValue.dictLabel}}</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
						</view>
					</view>

				</view>
				<!--拆旧管-->

				<view v-if="objValue.enginClassValue=='拆旧管'">
					<view class="uni-list">
						<view
							style="font-size: 16px;margin-left: 10px;margin-top: 10px;display: flex; justify-content: space-between;margin-bottom: 10px;">
							拆旧管
							<span
								style="color: blue;font-size: 14px;  display: flex;justify-content:flex-end; margin-right: 10px;"
								@click="history">历史</span>
						</view>

						<view class="container" style="margin-bottom: 20PX;border-bottom: 1px solid #f8f8f8;">

							<view>
								腐蚀等级
							</view>
							<view v-if="this.isEmpty(this.LevelValue.dictValue)" style="margin-top: 10;"
								@click="pickerShow('fsdj')">
								<span style="color: darkgray;">请选择腐蚀等级</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
							<view v-else class="uni-list-cell-db" style="margin-top: 10;" @click="pickerShow('fsdj')">
								<span style="color: black;">{{LevelValue.dictLabel}}</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
						</view>
					</view>
				</view>
				<view v-if="objValue.enginClassValue=='打孔'">
					<view class="uni-list">
						<view
							style="font-size: 16px;margin-left: 10px;margin-top: 10px;display: flex; justify-content: space-between;margin-bottom: 10px;">
							打孔

							<span
								style="color: blue;font-size: 14px;  display: flex;justify-content:flex-end; margin-right: 10px;"
								@click="history">历史</span>
						</view>

						<view class="container" style="margin-bottom: 20PX;border-bottom: 1px solid #f8f8f8;">

							<view>
								孔距
							</view>
							<view v-if="this.isEmpty(this.LevelValue.dictValue)" style="margin-top: 10;"
								@click="pickerShow('kj')">
								<span style="color: darkgray;">请选择孔距</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
							<view v-else class="uni-list-cell-db" style="margin-top: 10;" @click="pickerShow('kj')">
								<span style="color: black;">{{LevelValue.dictLabel}}</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
						</view>
					</view>
				</view>
				<!--立杠-->
				<view v-else-if="objValue.enginClassValue=='立杠'">
					<view class="uni-list" style="margin-bottom: 20px;">
						<view
							style="font-size: 16px;margin-left: 10px;margin-top: 10px;display: flex; justify-content: space-between;margin-bottom: 10px;">
							立杠

							<span
								style="color: blue;font-size: 14px;  display: flex;justify-content:flex-end; margin-right: 10px;"
								@click="history">历史</span>
						</view>

						<view class="container" style="border-bottom: 1px solid #f8f8f8;">

							<view>
								材 质
							</view>
							<view v-if="this.isEmpty(this.materialValue.id)" style="margin-top: 10;"
								@click="pickerShow('cz')">
								<span style="color: darkgray;">请选择材质</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
							<view v-else class="uni-list-cell-db" style="margin-top: 10;" @click="pickerShow('cz')">
								<span style="color: black;">{{materialValue.name}}</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
						</view>
						<view class="container" style="border-bottom: 1px solid #f8f8f8;">

							<view>
								规 格
							</view>
							<view v-if="this.isEmpty(this.specificationValue.id)" style="margin-top: 10;"
								@click="pickerShow('gg')">
								<span style="color: darkgray;">请选择规格</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
							<view v-else class="uni-list-cell-db" style="margin-top: 10;" @click="pickerShow('gg')">
								<span style="color: black;">{{specificationValue.name}}</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
						</view>
						<view class="container" style="border-bottom: 1px solid #f8f8f8;">

							<text>数 量</text>
							<input class="uni-input" type="number" v-model="inputNumberValue" placeholder="请填写数量"
								maxlength="11" style="margin-left: 10px;text-align: right;"></input>
						</view>
					</view>
				</view>
				<!--挂表-->
				<view v-else-if="objValue.enginClassValue=='挂表'">
					<view class="uni-list" style="margin-bottom: 20px;">
						<view
							style="font-size: 16px;margin-left: 10px;margin-top: 10px;display: flex; justify-content: space-between;margin-bottom: 10px;">
							挂表

							<span
								style="color: blue;font-size: 14px;  display: flex;justify-content:flex-end; margin-right: 10px;"
								@click="history">历史</span>
						</view>

						<view class="container" style="border-bottom: 1px solid #f8f8f8;">

							<view>
								品 牌
							</view>
							<view v-if="this.isEmpty(this.brandValue.dictValue)" style="margin-top: 10;"
								@click="pickerShow('brand')">
								<span style="color: darkgray;">请选择品牌</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
							<view v-else class="uni-list-cell-db" style="margin-top: 10;" @click="pickerShow('brand')">
								<span style="color: black;">{{brandValue.dictLabel}}</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
						</view>

						<view class="container" style="border-bottom: 1px solid #f8f8f8;">

							<text>数 量</text>
							<input class="uni-input" type="number" v-model="inputNumberValue" placeholder="请填写数量"
								maxlength="11" style="margin-left: 10px;text-align: right;"></input>
						</view>
					</view>
				</view>
				<!--表后管-->
				<view v-else-if="objValue.enginClassValue=='表后管'">
					<view class="uni-list" style="margin-bottom: 20px;">
						<view
							style="font-size: 16px;margin-left: 10px;margin-top: 10px;display: flex; justify-content: space-between;margin-bottom: 10px;">
							表后管

							<span
								style="color: blue;font-size: 14px;  display: flex;justify-content:flex-end; margin-right: 10px;"
								@click="history">历史</span>
						</view>

						<view class="container" style="border-bottom: 1px solid #f8f8f8;">

							<view>
								材 质
							</view>
							<view v-if="this.isEmpty(this.materialValue.id)" style="margin-top: 10;"
								@click="pickerShow('cz')">
								<span style="color: darkgray;">请选择材质</span>
							</view>
							<view v-else class="uni-list-cell-db" style="margin-top: 10;" @click="pickerShow('cz')">
								<span style="color: black;">{{materialValue.name}}</span>
							</view>
						</view>
						<view class="container" style="border-bottom: 1px solid #f8f8f8;">

							<view>
								规 格
							</view>
							<view v-if="this.isEmpty(this.specificationValue.id)" style="margin-top: 10;"
								@click="pickerShow('gg')">
								<span style="color: darkgray;">请选择规格</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
							<view v-else class="uni-list-cell-db" style="margin-top: 10;" @click="pickerShow('gg')">
								<span style="color: black;">{{specificationValue.name}}</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
						</view>
						<view class="container" style="border-bottom: 1px solid #f8f8f8;">

							<text>数 量</text>
							<input class="uni-input" type="number" v-model="inputNumberValue" placeholder="请填写数量"
								maxlength="11" style="margin-left: 10px;text-align: right;"></input>
						</view>
					</view>
				</view>
				<!--阀管-->
				<view v-else-if="objValue.enginClassValue=='阀管'">
					<view class="uni-list" style="margin-bottom: 20px;">
						<view
							style="font-size: 16px;margin-left: 10px;margin-top: 10px;display: flex; justify-content: space-between;margin-bottom: 10px;">
							阀管

							<span
								style="color: blue;font-size: 14px;  display: flex;justify-content:flex-end; margin-right: 10px;"
								@click="history">历史</span>
						</view>
						<view class="container" style="border-bottom: 1px solid #f8f8f8;">

							<view>
								上门类型
							</view>
							<view v-if="this.isEmpty(this.doorValue.dictValue)" style="margin-top: 10;"
								@click="pickerShow('door')">
								<span style="color: darkgray;">请选择上门类型</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
							<view v-else class="uni-list-cell-db" style="margin-top: 10;" @click="pickerShow('door')">
								<span style="color: black;">{{doorValue.dictLabel}}</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
						</view>
						<view class="container" style="border-bottom: 1px solid #f8f8f8;">

							<view>
								自闭阀类型
							</view>
							<view v-if="this.isEmpty(this.SelfClosValve.dictValue)" style="margin-top: 10;"
								@click="pickerShow('zbf')">
								<span style="color: darkgray;">请选择自闭阀类型</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
							<view v-else class="uni-list-cell-db" style="margin-top: 10;" @click="pickerShow('zbf')">
								<span style="color: black;">{{SelfClosValve.dictLabel}}</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
						</view>
						<view class="container" style="border-bottom: 1px solid #f8f8f8;">

							<view>
								材 质
							</view>
							<view v-if="this.isEmpty(this.materialValue.id)" style="margin-top: 10;"
								@click="pickerShow('cz')">
								<span style="color: darkgray;">请选择材质</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
							<view v-else class="uni-list-cell-db" style="margin-top: 10;" @click="pickerShow('cz')">
								<span style="color: black;">{{materialValue.name}}</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
						</view>
						<view class="container" style="border-bottom: 1px solid #f8f8f8;">

							<view>
								规 格
							</view>
							<view v-if="this.isEmpty(this.specificationValue.id)" style="margin-top: 10;"
								@click="pickerShow('gg')">
								<span style="color: darkgray;">请选择规格</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
							<view v-else class="uni-list-cell-db" style="margin-top: 10;" @click="pickerShow('gg')">
								<span style="color: black;">{{specificationValue.name}}</span>
								<image src="../../../static/images/icon_right.png" class="to-right-icon"></image>
							</view>
						</view>
						<view class="container" style="border-bottom: 1px solid #f8f8f8;">

							<text>数 量</text>
							<input class="uni-input" type="number" v-model="inputNumberValue" placeholder="请填写数量"
								maxlength="11" style="margin-left: 10px;text-align: right;"></input>
						</view>
					</view>
				</view>
				<view class="align-items" style="margin-top: 20px;margin-bottom: 20px;">
					<view class="container" style="color: #b2b2b2;">*请上传照片</view>
					<view class="" style="display: flex; flex-wrap: wrap;margin-top: 10px; margin-left: 10px;">
						<image src="/static/images/updateimg.png" mode=""
							style="width: 200rpx; height: 150rpx; margin: 0 12rpx;; " @click="choose()"
							v-show="reviewStatus!='1'"></image>
						<view v-for="(item,index) in imgArr" :key="index" style="position: relative;">
							<view
								v-if="item.substring(item.length - 3) == 'png' || item.substring(item.length - 3) == 'jpg'||item.substring(item.length-4)=='jpeg' ">
								<image :src="item" mode="" style="width: 100rpx; height: 100rpx; margin: 0 12rpx;"
									@click="showPhoto(index)">
								</image>
							</view>
							<view v-else>
								<video :src="item" style="width: 100rpx; height: 100rpx; margin: 0 12rpx;"></video>
							</view>
							<view @click="remove(index)"
								style="position: absolute; top: 0; right: 14rpx; border-radius: 50%;">
								<image src="../../../static/images/icon_close.png" style=" width: 15px; height: 15px;">
								</image>
							</view>
						</view>
					</view>

				</view>
			</view>
			<view class="action-btn" v-show="reviewStatus!='1'">
				<button @click="submit" class="btn cu-btn block bg-blue lg round">确认上传</button>
			</view>

			<bottom-sheet ref="refShare" :data="historyList"></bottom-sheet>
		</scroll-view>
	</template>



	<script>
		import SelectPicker from '../../../components/selectPicker/select_picker.vue'
		import bottomSheet from '../../../components/bottomSheet/bottomSheet.vue'

		import {
			getDicts
		} from "@/api/system/dict/data";
		import {
			getAreaList,
			getBuildingList,
			getUnitList,
			getHousesList,
			addTearOldPipe,
			getEnginMaterialQualityList,
			getEnginSpecificationsList,
			getRoomProjectList,
			getRoomProjectId,
		} from '@/api/common'
		import {
			getToken
		} from '../../../utils/auth';
		import {
			showConfirm
		} from '../../../utils/common';

		export default {
			components: {
				SelectPicker,
				bottomSheet
			},
			data() {

				return {
					headers: {
						Authorization: "Bearer " + getToken()
					},
					type: '',
					open: false,
					reviewStatus: '', //是否可以点击
					objValue: '', //上一页面传过来的值  新增接口用
					openDict: false,
					selectList: [],
					dictOptions: [],
					imgArr: [],
					XQValue: {},
					XZQValue: {},
					projectValue: {},
					LevelValue: {},
					LDValue: {},
					DYValue: {},
					FJValue: {},
					FSValue: {},
					specificationValue: {}, //规格
					materialValue: {}, //材质
					brandValue: {}, //品牌
					doorValue: {}, //上门类型
					SelfClosValve: {}, //自闭阀类型
					materialList: '', //材质list
					XQList: '',
					LDList: '',
					DYList: '',
					FJList: '',
					progress: 0, //上传图片进度百分比
					loading: false,
					isCheck: true, //是否按照施工图纸施工
					inputNumberValue: '',
					title: '',
					historyList: {} //历史数据

				}
			},

			created() {

			},

			onLoad(options) {
				if ('params' in options) {
					this.objValue = JSON.parse(decodeURIComponent(options.params));

					if (this.objValue.enginType == `old_renovation`) {
						this.title = '旧改工程-室内'

					} else if (this.objValue.enginType == `new_built`) {
						this.title = '新建工程-室内'
					}

					uni.setNavigationBarTitle({
						title: this.title
					})
				}


			},
			methods: {
				//判断是否选择

				isEmpty(str) {

					return (!str || 0 === str.length);

				},

				// 显示历史弹窗
				handleShowSheet() {
					this.shareState = true;
				},
				// 隐藏历史弹窗
				handleHiddenShare() {
					this.shareState = false;
				},
				showPhoto(index) {
					uni.previewImage({
						current: index,
						urls: this.imgArr,
					})

				},
				remove(index) {
					uni.showModal({
						title: '提示',
						content: '是否删除该图片或视频？',
						success: (res) => {
							if (res.confirm) {
								this.imgArr.splice(index, 1)
								console.log('this.imgarr', this.imgArr)
								if (this.imgArr.length <= 0) {
									this.photo = true;
								}
							}
						}
					})
				},
				choose() {
					let _this = this;
					uni.showActionSheet({
						title: '上传',
						itemList: ['图片', '视频'],
						success: (res) => {
							console.log(res)
							if (res.tapIndex == 0) {
								this.chooseimage()
							} else {
								this.choosevideo()
							}
						}
					})
				},
				chooseimage() {

					let _this = this;
					console.log('图片', _this.headers)
					uni.chooseImage({
						sizeType: ['album', 'camera'],
						success(resp) {
							resp.tempFiles.forEach((item, index) => {
								const task = uni.uploadFile({
									url: _this.$HTTP + `/obs`,
									filePath: item.path,
									name: 'file',
									formData: {},
									header: _this.headers,

									success: res => {
										// 判断是否json字符串，将其转为json格式
										console.log("结果", res)
										// let data = _this.$u.test.jsonString(res
										// 	.data) ? JSON.parse(res.data) : res.data;
										let data = JSON.parse(res.data);
										if (![200].includes(data.code)) {
											// this.uploadError(index, data);
											_this.$modal.msg(data.msg)
										} else {
											if (_this.progress === 100) {
												console.log('_this.progress', _this.progress)
												//console.log('data----', data)data
												console.log('res--', res)
												_this.imgArr.push(data.data.url)
												console.log('imgArr', _this.imgArr)
												_this.$modal.msg('上传成功！')
												_this.photo = false;
											}
										}
									},
									fail: e => {
										console.log(e)
										_this.$modal.msg('上传失败！')
										//_this.uploadError(index, e);
									},
									complete: res => {
										uni.hideLoading();
										_this.uploading = false;

									}
								});
								task.onProgressUpdate(res => {
									_this.progress = res.progress;
									console.log('onProgressUpdate', res)
									console.log('task.onProgressUpdate', _this.progress)
									uni.showLoading({
										title: '上传中'
									})
									if (_this.progress != 100) {
										_this.loading = false
										console.log('_this.loading false', _this.loading)
									} else {
										_this.loading = true
										console.log('_this.loading true', _this.loading)
									}
								});

							})

						},
					})
				},

				choosevideo() {
					let _this = this;
					console.log('视频')
					uni.chooseVideo({
						sourceType: ['album', 'camera'],
						maxDuration: 30,
						success(resp) {
							const task = uni.uploadFile({
								url: _this.$HTTP + `/obs`,
								filePath: resp.tempFilePath,
								name: 'file',
								formData: {},
								header: _this.headers,
								success: res => {
									// 判断是否json字符串，将其转为json格式
									let data = JSON.parse(res.data);
									if (![200].includes(res.statusCode)) {
										this.uploadError(index, data);
									} else {
										//上传成功
										if (_this.progress === 100) {
											console.log('_this.progress', _this.progress)
											_this.imgArr.push(data.data.url)
											console.log('imgArr', _this.imgArr)
											_this.$modal.msg('上传成功！')
											_this.photo = false;
										}
									}
								},
								fail: e => {
									_this.$modal.msg('上传失败！')
									this.uploadError(index, e);
								},
								complete: res => {
									uni.hideLoading();
									_this.uploading = false;
								}
							});
							task.onProgressUpdate(res => {
								_this.progress = res.progress;
								console.log('onProgressUpdate', res)
								uni.showLoading({
									title: '上传中'
								})
								if (_this.progress != 100) {
									_this.loading = false
									console.log('_this.loading false', _this.loading)
								} else {
									_this.loading = true
									console.log('_this.loading true', _this.loading)
								}
							});

						},
					})
				},
				pickerShow(e) {
					this.type = e; //赋值类型
					if (e == 'door') { //上门类型
						this.openDict = true;
						getDicts("visit_type").then(response => {
							this.dictOptions = response.data;
						});
					} else if (e == 'zbf') { //自闭阀类型
						this.openDict = true;
						getDicts("self_closing_valve_type").then(response => {
							this.dictOptions = response.data;
						});
					} else if (e == 'brand') { //品牌
						this.openDict = true;
						getDicts("brand").then(response => {
							this.dictOptions = response.data;
						});

					} else if (e == 'cz') { //材质
						this.open = true;
						getEnginMaterialQualityList("民用工程").then(response => {
							this.selectList = response.data;
						});

					} else if (e == 'gg') { //规格
						if (this.isEmpty(this.materialValue.id)) {
							this.$modal.msg('请选择材质')

						} else {
							this.open = true;
							this.selectList = this.materialList;

						}

					} else if (e == 'fsdj') {
						//腐蚀等级
						this.openDict = true;
						//腐蚀等级
						getDicts("corrosion_level").then(response => {
							this.dictOptions = response.data;
						});

					} else if (e == 'kj') {
						//孔距
						this.openDict = true;
						getDicts("perforated_pipe_diameter").then(response => {
							this.dictOptions = response.data;
						});

					} else if (e == 'gczq') { //工程周期
						this.openDict = true;
						getDicts("engin_cycle").then(response => {
							this.dictOptions = response.data;
						});

					} else if (e == 'xzq') { //行政区
						if (this.isEmpty(this.projectValue.dictValue)) {
							this.$modal.msg('请选择工程周期')

						} else {
							this.openDict = true;
							getDicts("district").then(response => {
								this.dictOptions = response.data;
							});
						}
						//this.selectList = this.dictOptions;

					} else if (e == 'xq') { //小区
						if (this.isEmpty(this.XZQValue.dictValue)) {
							this.$modal.msg('请选择行政区')

						} else {
							this.open = true;
							this.selectList = this.XQList;
						}
					} else if (e == 'ld') { //楼栋

						if (this.isEmpty(this.XQValue.id)) {
							this.$modal.msg('请选择小区')

						} else {
							this.open = true;
							this.selectList = this.LDList;
						}

					} else if (e == 'dy') { //单元
						if (this.isEmpty(this.LDValue.id)) {
							this.$modal.msg('请选择楼栋')

						} else {
							this.open = true;
							this.selectList = this.DYList;
						}
					} else if (e == 'fj') { //房间
						if (this.isEmpty(this.DYValue.id)) {
							this.$modal.msg('请选择单元')

						} else {
							this.open = true;
							this.selectList = this.FJList;
						}
					}

				},


				switchChange(e) {
					//'switch 发生 change 事件，携带值为', e.detail.value)
					this.isCheck = e.detail.value;
				},
				changeSelectDict(item, index) {
					this.openDict = false;
					if (this.type == 'door') {
						this.doorValue = item

					} else if (this.type == 'zbf') {
						this.SelfClosValve = item

					} else if (this.type == 'brand') {
						this.brandValue = item

					} else if (this.type == 'gczq') {
						this.projectValue = item
						if (!this.isEmpty(this.FJValue.id)) {

							//房间选完 判断 工程周期  工程周期切换
							this.getStatus();

						}
					} else if (this.type == 'xzq') {
						this.XZQValue = item;

						//根据行政区id获取小区数据
						this.XQValue = ''; //重置小区数据
						this.LDValue = ''; //重置楼栋数据
						this.DYValue = ''; //重置单元数据
						this.FJValue = ''; //重置房间数据
						getAreaList(item.dictValue).then(res => {
							this.XQList = res.data;
						})
					} else {
						this.LevelValue = item;
					}
				},
				changeSelect(item, index) {
					// this.index = index;
					// this.address = item.communityName;
					this.open = false;

					if (this.type == 'cz') {
						this.materialValue = item;
						this.specificationValue = ''; //重置规格
						//根据材质ID 获取规格数据
						getEnginSpecificationsList(item.id).then(res => {
							this.materialList = res.data
						})
					} else if (this.type == 'gg') {
						this.specificationValue = item;

					} else if (this.type == 'xq') {
						this.XQValue = item;
						//根据小区id 获取楼栋数据
						this.LDValue = ''; //重置楼栋数据
						this.DYValue = ''; //重置单元数据
						this.FJValue = ''; //重置房间数据
						getBuildingList(item.id).then(res => {
							this.LDList = res.data
							// console.log("楼栋=", res)
						})
					} else if (this.type == 'ld') {
						this.LDValue = item;
						//根据楼栋ID 获取单元数据
						this.DYValue = ''; //重置单元数据
						this.FJValue = ''; //重置房间数据
						getUnitList(item.id).then(res => {
							this.DYList = res.data
							// console.log("单元=", res)
						})
					} else if (this.type == 'dy') {
						this.DYValue = item;
						//根据单元数据 获取房间数据 
						this.FJValue = ''; //重置房间数据
						getHousesList(item.id).then(res => {
							this.FJList = res.data
							// console.log("房间=", res)
						})
					} else if (this.type == 'fj') {
						this.FJValue = item;

						if (!this.isEmpty(this.projectValue.dictValue)) {

							//房间选完 判断 工程周期
							this.getStatus();

						}


					}

				},
				//关闭弹窗
				close(e) {
					this.open = false
				},
				//关闭弹窗
				closeDict(e) {
					this.openDict = false
				},
				getStatus() {
					let param = {
						areaId: this.XQValue.id, // 小区id
						buildingId: this.LDValue.id, // 楼宇id
						unitId: this.DYValue.id, // 单元id
						houseId: this.FJValue.id, // 房间id
						enginCycle: this.projectValue.dictValue, // 工程周期
						enginType: this.objValue.enginType, //写死 上一页面传过来的
						enginClassification: this.objValue.enginClassification, //写死  上一页面传过来的  //室内 - 庭院 - 架空
					}


					getRoomProjectId(param).then(res => {

						if (res.code == '200') {

							if (res.data != null && res.data.zEngineeringNodeBoList != null) {

								res.data.zEngineeringNodeBoList.forEach((item, index) => {
									if (this.objValue.enginClassValue == item.type) {
										this.reviewStatus = item.reviewStatus;
										if (item.reviewStatus == '1')
											this.$modal.msg('当前工程已结束')
									}

								})


							} else {
								this.reviewStatus = '' //置空
							}

						} else {
							this.$modal.msg(res.msg)
							this.reviewStatus = '' //置空
						}
					})
				},
				//提交数据
				submit() {

					if (this.isEmpty(this.projectValue.dictValue)) {
						this.$modal.msg("请选择工程周期")
					} else if (this.isEmpty(this.XZQValue.dictValue)) {
						this.$modal.msg("请选择行政区")
					} else if (this.isEmpty(this.XQValue.id)) {
						this.$modal.msg("请选择小区")
					} else if (this.isEmpty(this.LDValue.id)) {
						this.$modal.msg("请选择楼栋")
					} else if (this.isEmpty(this.DYValue.id)) {
						this.$modal.msg("请选择单元")
					} else if (this.isEmpty(this.FJValue.id)) {
						this.$modal.msg("请选择房间")
					} else if (this.objValue.enginClassValue == '报警器切断阀') {
						if (this.isEmpty(this.brandValue.dictValue)) {
							this.$modal.msg("请选择厂家")
						} else {
							this.onsubmit();
						}

					} else if (this.objValue.enginClassValue == '打孔') {
						if (this.isEmpty(this.LevelValue.dictValue)) {
							this.$modal.msg("请选择孔距") //打孔  判断孔距
						} else {
							this.onsubmit();
						}
					} else if (this.objValue.enginClassValue == '拆旧管') {

						if (this.isEmpty(this.LevelValue.dictValue)) {
							this.$modal.msg("请选择腐蚀等级") //拆旧管  判断腐蚀等级
						} else {
							this.onsubmit();
						}
					} else if (this.objValue.enginClassValue == '立杠') {
						//立杠  判断  材质  规格  数量
						if (this.isEmpty(this.materialValue.id)) {
							this.$modal.msg("请选择材质")
						} else if (this.isEmpty(this.specificationValue.id)) {
							this.$modal.msg("请选择规格")
						} else if (this.isEmpty(this.inputNumberValue)) {
							this.$modal.msg("请输入数量")
						} else {
							this.onsubmit();
						}
					} else if (this.objValue.enginClassValue == '挂表') {
						//挂表  判断  品牌  数量
						if (this.isEmpty(this.brandValue.dictValue)) {
							this.$modal.msg("请选择品牌")
						} else if (this.isEmpty(this.inputNumberValue)) {
							this.$modal.msg("请输入数量")
						} else {
							this.onsubmit();
						}

					} else if (this.objValue.enginClassValue == '表后管') {
						//表后管  判断  材质  规格  数量 （为必须有一张照片和一个视频）
						if (this.isEmpty(this.materialValue.id)) {
							this.$modal.msg("请选择材质")
						} else if (this.isEmpty(this.specificationValue.id)) {
							this.$modal.msg("请选择规格")
						} else if (this.isEmpty(this.inputNumberValue)) {
							this.$modal.msg("请输入数量")
						} else if (this.imgArr.length <= 0) {
							this.$modal.msg('请上传照片或视频')
						} else if (this.loading == false) {
							this.$modal.msg('照片或视频未上传完毕，无法提交！')
						} else {
							const hasImage = this.imgArr.some(item => item.endsWith('.jpg') || item.endsWith(
									'.png') || item
								.endsWith('.jpeg') || item.endsWith('.JPG') || item.endsWith('.PNG') || item
								.endsWith('.JPEG'));
							const hasVideo = this.imgArr.some(item => item.endsWith('.mp4') || item.endsWith('.MP4'));

							if (hasImage && hasVideo) {
								//表后管  特殊  提交
								let param = {
									district: this.XZQValue.dictValue,
									areaId: this.XQValue.id,
									buildingId: this.LDValue.id,
									unitId: this.DYValue.id,
									houseId: this.FJValue.id,
									enginType: this.objValue.enginType, //写死 上一页面传过来的 
									enginClassification: this.objValue
										.enginClassification, //写死  上一页面传过来的  //室内 - 庭院 - 架空
									enginCycle: this.projectValue.dictValue, //工程周期
									zEngineeringNodeBo: {
										type: this.objValue.enginClassValue, //写死 上一页面传过来的  (拆旧管等 字典值)
										zEngineeringInfoBo: {
											constructAccordingDrawings: this.isCheck, //是否按图纸施工
											zEngiineeringPhotoBoList: this.imgArr, //照片集合

											zEngineeringMaterialBo: [{
												materialQuality: this.materialValue.id, //材质
												specifications: this.specificationValue.id, //规格
												number: this.inputNumberValue //数量
											}]
										}
									}

								}
								addTearOldPipe(param).then(res => {
									if (res.code == '200') {

										uni.showToast({
											title: res.msg,
											icon: 'none',
											//显示持续时间为 1秒
											duration: 1000
										});
										uni.navigateBack();
									}
								})
							} else {
								this.$modal.msg('请至少上传一张照片和一个视频')
							}
						}
					} else if (this.objValue.enginClassValue == '阀管') {
						//阀管  判断  材质  规格  数量
						if (this.isEmpty(this.doorValue.dictValue)) {
							this.$modal.msg("请选择上门类型")
						} else if (this.isEmpty(this.SelfClosValve.dictValue)) {
							this.$modal.msg("请选择自闭阀类型")
						} else if (this.isEmpty(this.materialValue.id)) {
							this.$modal.msg("请选择材质")
						} else if (this.isEmpty(this.specificationValue.id)) {
							this.$modal.msg("请选择规格")
						} else if (this.isEmpty(this.inputNumberValue)) {
							this.$modal.msg("请输入数量")
						} else {
							this.onsubmit();
						}
					}
				},


				onsubmit() {

					if (this.imgArr.length <= 0) {
						this.$modal.msg('请上传照片或视频')
					} else if (this.loading == false) {
						this.$modal.msg('照片或视频未上传完毕，无法提交！')
					} else {
						//提交
						let param = ';'
						if (this.objValue.enginClassValue == '拆旧管' || this.objValue.enginClassValue ==
							'打孔') { //拆旧管  打孔
							param = {
								district: this.XZQValue.dictValue,
								areaId: this.XQValue.id,
								buildingId: this.LDValue.id,
								unitId: this.DYValue.id,
								houseId: this.FJValue.id,
								enginType: this.objValue.enginType, //写死 上一页面传过来的 
								enginClassification: this.objValue
									.enginClassification, //写死  上一页面传过来的  //室内 - 庭院 - 架空
								enginCycle: this.projectValue.dictValue, //工程周期
								zEngineeringNodeBo: {
									type: this.objValue.enginClassValue, //写死 上一页面传过来的  (拆旧管等 字典值)
									zEngineeringInfoBo: {
										constructAccordingDrawings: this.isCheck, //是否按图纸施工
										zEngiineeringPhotoBoList: this.imgArr, //照片集合

										zEngineeringMaterialBo: [{
											corrosionLevel: this.LevelValue.dictValue //腐蚀等级 //孔距
										}]
									}
								}

							}
							//this.onsubmit(param)
						} else if (this.objValue.enginClassValue == '报警器切断阀') { //报警器切断阀
							param = {
								district: this.XZQValue.dictValue,
								areaId: this.XQValue.id,
								buildingId: this.LDValue.id,
								unitId: this.DYValue.id,
								houseId: this.FJValue.id,
								enginType: this.objValue.enginType, //写死 上一页面传过来的 
								enginClassification: this.objValue
									.enginClassification, //写死  上一页面传过来的  //室内 - 庭院 - 架空
								enginCycle: this.projectValue.dictValue, //工程周期
								zEngineeringNodeBo: {
									type: this.objValue.enginClassValue, //写死 上一页面传过来的  (拆旧管等 字典值)
									zEngineeringInfoBo: {
										constructAccordingDrawings: this.isCheck, //是否按图纸施工
										zEngiineeringPhotoBoList: this.imgArr, //照片集合

										zEngineeringMaterialBo: [{
											brand: this.brandValue.dictValue, //品牌
											// number: this.inputNumberValue //数量
										}]
									}
								}

							}

						} else if (this.objValue.enginClassValue == '立杠') { //立杠
							param = {
								district: this.XZQValue.dictValue,
								areaId: this.XQValue.id,
								buildingId: this.LDValue.id,
								unitId: this.DYValue.id,
								houseId: this.FJValue.id,
								enginType: this.objValue.enginType, //写死 上一页面传过来的 
								enginClassification: this.objValue
									.enginClassification, //写死  上一页面传过来的  //室内 - 庭院 - 架空
								enginCycle: this.projectValue.dictValue, //工程周期
								zEngineeringNodeBo: {
									type: this.objValue.enginClassValue, //写死 上一页面传过来的  (拆旧管等 字典值)
									zEngineeringInfoBo: {
										constructAccordingDrawings: this.isCheck, //是否按图纸施工
										zEngiineeringPhotoBoList: this.imgArr, //照片集合

										zEngineeringMaterialBo: [{
											materialQuality: this.materialValue.id, //材质
											specifications: this.specificationValue.id, //规格
											number: this.inputNumberValue //数量
										}]
									}
								}

							}


						} else if (this.objValue.enginClassValue == '挂表') { //挂表
							param = {
								district: this.XZQValue.dictValue,
								areaId: this.XQValue.id,
								buildingId: this.LDValue.id,
								unitId: this.DYValue.id,
								houseId: this.FJValue.id,
								enginType: this.objValue.enginType, //写死 上一页面传过来的 
								enginClassification: this.objValue
									.enginClassification, //写死  上一页面传过来的  //室内 - 庭院 - 架空
								enginCycle: this.projectValue.dictValue, //工程周期
								zEngineeringNodeBo: {
									type: this.objValue.enginClassValue, //写死 上一页面传过来的  (拆旧管等 字典值)
									zEngineeringInfoBo: {
										constructAccordingDrawings: this.isCheck, //是否按图纸施工
										zEngiineeringPhotoBoList: this.imgArr, //照片集合

										zEngineeringMaterialBo: [{
											brand: this.brandValue.dictValue, //品牌
											number: this.inputNumberValue //数量
										}]
									}
								}

							}
						} else if (this.objValue.enginClassValue == '阀管') { //自闭阀
							param = {
								district: this.XZQValue.dictValue,
								areaId: this.XQValue.id,
								buildingId: this.LDValue.id,
								unitId: this.DYValue.id,
								houseId: this.FJValue.id,
								enginType: this.objValue.enginType, //写死 上一页面传过来的 
								enginClassification: this.objValue
									.enginClassification, //写死  上一页面传过来的  //室内 - 庭院 - 架空
								enginCycle: this.projectValue.dictValue, //工程周期
								zEngineeringNodeBo: {
									type: this.objValue.enginClassValue, //写死 上一页面传过来的  (拆旧管等 字典值)
									zEngineeringInfoBo: {
										constructAccordingDrawings: this.isCheck, //是否按图纸施工
										zEngiineeringPhotoBoList: this.imgArr, //照片集合

										zEngineeringMaterialBo: [{
											visitType: this.doorValue.dictValue, //上门类型
											selfClosingValveType: this.SelfClosValve.dictValue, //自闭阀类型
											materialQuality: this.materialValue.id, //材质
											specifications: this.specificationValue.id, //规格
											number: this.inputNumberValue //数量
										}]
									}
								}

							}
						}

						addTearOldPipe(param).then(res => {
							if (res.code == '200') {
								uni.showToast({
									title: res.msg,
									icon: 'none',
									//显示持续时间为 3秒
									duration: 2000
								});
								setTimeout(function() {
									uni.navigateBack();
								}, 1000)

							}
						})
					}

				},
				history() {
					if (this.isEmpty(this.projectValue.dictValue)) {
						this.$modal.msg("请选择工程周期")
						return
					}
					if (this.isEmpty(this.XZQValue.dictValue)) {
						this.$modal.msg("请选择行政区")
						return
					}
					if (this.isEmpty(this.XQValue.id)) {
						this.$modal.msg("请选择小区")
						return
					}
					if (this.isEmpty(this.LDValue.id)) {
						this.$modal.msg("请选择楼栋")
						return
					}
					if (this.isEmpty(this.DYValue.id)) {
						this.$modal.msg("请选择单元")
						return
					}
					if (this.isEmpty(this.FJValue.id)) {
						this.$modal.msg("请选择房间")
						return
					}
					let param = {
						areaId: this.XQValue.id, // 小区id
						buildingId: this.LDValue.id, // 楼宇id
						unitId: this.DYValue.id, // 单元id
						houseId: this.FJValue.id, // 房间id
						enginCycle: this.projectValue.dictValue, // 工程周期
						enginType: this.objValue.enginType, //写死 上一页面传过来的
						enginClassification: this.objValue.enginClassification, //写死  上一页面传过来的  //室内 - 庭院 - 架空
					}
					getRoomProjectId(param).then(res => {

						if (res.code == '200') {

							if (res.data != null) {

								getRoomProjectList(res.data.id, this.objValue.enginClassValue).then(res => {

									this.historyList = res.data
									if (res.data.zEngineeringNodeBo != null) {
										this.showHistoryList();
									} else {
										this.$modal.msg("暂无历史信息")
									}

								})

							} else {
								this.$modal.msg("暂无工程信息")
							}
						} else {
							this.$modal.msg(res.msg)
						}
					})

				},
				showHistoryList() {
					this.$refs.refShare.handleShowShare();
				}

			}
		}
	</script>
	<style lang="scss">
		.container {
			display: flex;
			align-items: center;
			justify-content: space-between;
			padding: 10px;
			position: relative;

		}

		.uni-list {
			border: 1xp solid #eee;
		}

		.to-right-icon {
			width: 15px;
			height: 15px;
			position: absolute;
			top: 50%;
			transform: translateY(-50%);
		}

		.text {
			font-size: 16px;
			color: #333;
		}

		.background {
			// border: 15px solid hsla(0, 0%, 100%, .5);
			background: white;
			background-clip: padding-box;
			padding: 20rpx;
			border-radius: 20rpx;
			margin: 20rpx;
			/*从padding开始往外面裁剪背景*/


		}


		.btn {
			width: 715rpx;
			height: 69rpx;
			background: #79A4F0;
			border-radius: 6rpx;
			font-size: 25rpx;
			font-family: Microsoft YaHei;
			font-weight: 400;
			color: #FFFFFF;
			line-height: 69rpx;
			margin-top: 40rpx;
			margin-bottom: 100rpx;
		}

		.number {
			display: flex;
			/* 水平居中显示子元素 */
			align-items: flex-start;
			/* 垂直居中显示子元素 */
			justify-content: space-between;
			/* 左右间距等于间距大小 */
			padding: 10px;
			/* 设置padding以提高视觉效果 */
		}

		.textarea {
			margin-top: 10upx;
			width: 100%;
			border: 1rpx solid red;
			min-height: 100upx;
			line-height: 20px;
		}
	</style>